mail::account::getFolderKeywordInfo
Prev | mail::account Native API reference | Next

## Name

mail::account::getFolderKeywordInfo — Return message keywords

## Synopsis

#include <libmail/mail.H>
mail::account *account;

`account->getFolderKeywordInfo(` | size_t messageNum,
| std::set<std::string> &keywords`)`;

## USAGE

`mail::account::getFolderKeywordInfo` retrieves the current keywords for message #`messagenum` and places them into `keywords` (removing any existing contents). If the message does not have any keywords set, `keywords` will be an empty set. `messageNum` must be between zero and one less than the return code from mail::account::getFolderIndexSize(3x).

## Return Codes

This function returns immediately.

## SEE ALSO

mail::account::updateKeywords(3x), mail::account::getFolderIndexInfo(3x), mail::account::getFolderIndexSize(3x).

Prev | Up | Next
mail::account::getFolderIndexSize | Home | ToC | mail::account::getSendFolder